package com.servicemall.loyalty.dto;

import com.sun.istack.NotNull;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel(value="演示类",description="请求参数类" )
public class DemoDto implements Serializable {

  private static final long serialVersionUID = 1L;

  @NotNull
  @ApiModelProperty(value = "defaultStr",example="mockStrValue")
  private String strDemo;

  @NotNull
  @ApiModelProperty(example="1234343523",required = true)
  private Long longNum;

  @NotNull
  @ApiModelProperty(example="111111.111")
  private Double doubleNum;

  @NotNull
  @ApiModelProperty(example="2018-12-04T13:46:56.711Z")
  private Date date;

}
